Eval Run
GenieEvalRunResponse object
- eval_run_idstringBeta
The unique identifier for the evaluation run.
- eval_run_statusstringBeta
Current status of the evaluation run.
- run_by_userint64Beta
User ID who initiated the evaluation run.
- created_timestampint64Beta
Timestamp when the evaluation run was created (milliseconds since epoch).
- num_questionsint64Beta
Total number of questions in the evaluation run.
- num_correctint64Beta
Number of questions answered correctly.
- num_needs_reviewint64Beta
Number of questions that need manual review.
- num_doneint64Beta
Number of questions that have been completed.
- last_updated_timestampint64Beta
Timestamp when the evaluation run was last updated (milliseconds since epoch).
Get Beta
GET
Get evaluation run details.
API scopes: genie
Parameters
- space_idstringpath
The ID associated with the Genie space where the evaluation run is located.
- eval_run_idstringpath
Response
Returns the GenieEvalRunResponse object.
List Beta
GET
Lists all evaluation runs in a space.
API scopes: genie
Parameters
- space_idstringpath
The ID associated with the Genie space where the evaluation run is located.
- page_sizeint32query
Maximum number of evaluation runs to return per page
- page_tokenstringquery
Token to get the next page of results
Response
Returns a list of GenieEvalRunResponse objects.
Create Beta
POST
Create and run evaluations for multiple benchmark questions in a Genie space.
API scopes: genie
Parameters
- space_idstringpath
The ID associated with the Genie space where the evaluations will be executed.
Request body
- benchmark_question_idsarray of string
List of benchmark question IDs to evaluate. These questions must exist in the specified Genie space. If none are specified, then all benchmark questions are evaluated.
Response
Returns the GenieEvalRunResponse object.
Genie Get Eval Result Details Beta
GET
Get details for evaluation results.
API scopes: genie
Parameters
- space_idstringpath
The ID associated with the Genie space where the evaluation run is located.
- eval_run_idstringpath
The unique identifier for the evaluation run.
- result_idstringpath
The unique identifier for the evaluation result.
Response
- result_idstring
The unique identifier for the evaluation result.
- space_idstring
The ID of the space the evaluation result belongs to.
- benchmark_question_idstring
The ID of the benchmark question that was evaluated.
- eval_run_statusstring
Current status of the evaluation run.
- assessmentstring
Assessment of the evaluation result: good, bad, or needs review
- manual_assessmentboolean
Whether this evaluation was manually assessed.
- assessment_reasonsarray of string
Reasons for the assessment score.
Assessment reasons describe why a Genie response was scored as BAD.
Deterministic values (compared against the ground truth result):
- EMPTY_RESULT: Genie's generated SQL results were empty for this benchmark question.
- RESULT_MISSING_ROWS: Genie's generated SQL response is missing rows from the provided ground truth SQL.
- RESULT_EXTRA_ROWS: Genie's generated SQL response has more rows than the provided ground truth SQL.
- RESULT_MISSING_COLUMNS: Genie's generated SQL response is missing columns from the provided ground truth SQL.
- RESULT_EXTRA_COLUMNS: Genie's generated SQL response has more columns than the provided ground truth SQL.
- SINGLE_CELL_DIFFERENCE: Single value result was produced but differs from ground truth result.
- EMPTY_GOOD_SQL: The benchmark SQL returned an empty result.
- COLUMN_TYPE_DIFFERENCE: The values between the results match but the column type is different.
LLM judge ratings explain the factors driving BAD results:
- LLM_JUDGE_MISSING_OR_INCORRECT_FILTER: Genie's generated SQL is missing a WHERE clause condition or has incorrect filter logic that excludes/includes wrong data.
- LLM_JUDGE_INCOMPLETE_OR_PARTIAL_OUTPUT: Genie's generated SQL returns only some of the requested data or columns, missing parts of what the ground truth SQL returns.
- LLM_JUDGE_MISINTERPRETATION_OF_USER_REQUEST: Genie's generated SQL fundamentally misunderstands what the user is asking for, addressing the wrong question or goal.
- LLM_JUDGE_INSTRUCTION_COMPLIANCE_OR_MISSING_BUSINESS_LOGIC: Genie's generated SQL fails to apply specified instructions or business logic that should be followed.
- LLM_JUDGE_INCORRECT_METRIC_CALCULATION: Genie's generated SQL uses incorrect logic or makes wrong assumptions when calculating metrics.
- LLM_JUDGE_INCORRECT_TABLE_OR_FIELD_USAGE: Genie's generated SQL references wrong tables, columns, or uses fields that don't match the ground truth SQL's intent.
- LLM_JUDGE_INCORRECT_FUNCTION_USAGE: Genie's generated SQL uses SQL functions incorrectly or inappropriately (wrong parameters, wrong function for the task, etc.).
- LLM_JUDGE_MISSING_OR_INCORRECT_JOIN: Genie's generated SQL is missing necessary joins between tables or has incorrect join conditions/types that produce wrong results.
- LLM_JUDGE_MISSING_OR_INCORRECT_AGGREGATION: Genie's generated SQL is missing GROUP BY clauses or has incorrect grouping that doesn't match the requested aggregation level.
- LLM_JUDGE_FORMATTING_ERROR: Genie's generated SQL output has incorrect formatting, ordering (ORDER BY), or presentation issues that don't match expectations.
- LLM_JUDGE_OTHER: LLM judge identified an error that doesn't fall into other categories.
Deprecated LLM judge values (kept for backward compatibility, do not use):
- LLM_JUDGE_MISSING_JOIN (deprecated)
- LLM_JUDGE_WRONG_FILTER (deprecated)
- LLM_JUDGE_WRONG_AGGREGATION (deprecated)
- LLM_JUDGE_WRONG_COLUMNS (deprecated)
- LLM_JUDGE_SYNTAX_ERROR (deprecated)
- LLM_JUDGE_SEMANTIC_ERROR (deprecated)
- actual_responsearray of object
The actual response generated by Genie.
Show child attributesHide child attributes
- responsestring
The response content (either text or SQL query).
- sql_execution_resultobject
SQL Statement Execution response.
Show child attributesHide child attributes
- statement_idstring
The statement ID is returned upon successfully submitting a SQL statement, and is a required reference for all subsequent calls.
- statusobject
Show child attributesHide child attributes
- statestring
Statement execution state:
PENDING: waiting for warehouseRUNNING: runningSUCCEEDED: execution was successful, result data available for fetchFAILED: execution failed; reason for failure described in accompanying error messageCANCELED: user canceled; can come from explicit cancel call, or timeout withon_wait_timeout=CANCELCLOSED: execution successful, and statement closed; result no longer available for fetch
- errorobject
- sql_statestring
SQLSTATE error code returned when the statement execution fails. Only populated when the statement status is
FAILED.
- manifestobject
Show child attributesHide child attributes
- formatstring
- schemaobject
- total_chunk_countint32
The total number of chunks that the result set has been divided into.
- chunksarray of object
Array of result set chunk metadata.
- total_row_countint64
The total number of rows in the result set.
- total_byte_countint64
The total number of bytes in the result set. This field is not available when using
INLINEdisposition.
- truncatedboolean
Indicates whether the result is truncated due to
row_limitorbyte_limit.
- resultobject
Show child attributesHide child attributes
- external_linksarray of object
- data_arrayarray of object
The
JSON_ARRAYformat is an array of arrays of values, where each non-null value is formatted as a string. Null values are encoded as JSONnull.
- chunk_indexint32
The position within the sequence of result set chunks.
- row_offsetint64
The starting row offset within the result set.
- row_countint64
The number of rows within the result chunk.
- byte_countint64
The number of bytes in the result chunk. This field is not available when using
INLINEdisposition.
- next_chunk_indexint32
When fetching, provides the
chunk_indexfor the next chunk. If absent, indicates there are no more chunks. The next chunk can be fetched with astatementexecution/getstatementresultchunknrequest.
- next_chunk_internal_linkstring
When fetching, provides a link to fetch the next chunk. If absent, indicates there are no more chunks. This link is an absolute
pathto be joined with your$DATABRICKS_HOST, and should be treated as an opaque link. This is an alternative to usingnext_chunk_index.
- response_typestring
Type of response
- expected_responsearray of object
The expected responses from the benchmark.
Show child attributesHide child attributes
- responsestring
The response content (either text or SQL query).
- sql_execution_resultobject
SQL Statement Execution response.
Show child attributesHide child attributes
- statement_idstring
The statement ID is returned upon successfully submitting a SQL statement, and is a required reference for all subsequent calls.
- statusobject
Show child attributesHide child attributes
- statestring
Statement execution state:
PENDING: waiting for warehouseRUNNING: runningSUCCEEDED: execution was successful, result data available for fetchFAILED: execution failed; reason for failure described in accompanying error messageCANCELED: user canceled; can come from explicit cancel call, or timeout withon_wait_timeout=CANCELCLOSED: execution successful, and statement closed; result no longer available for fetch
- errorobject
- sql_statestring
SQLSTATE error code returned when the statement execution fails. Only populated when the statement status is
FAILED.
- manifestobject
Show child attributesHide child attributes
- formatstring
- schemaobject
- total_chunk_countint32
The total number of chunks that the result set has been divided into.
- chunksarray of object
Array of result set chunk metadata.
- total_row_countint64
The total number of rows in the result set.
- total_byte_countint64
The total number of bytes in the result set. This field is not available when using
INLINEdisposition.
- truncatedboolean
Indicates whether the result is truncated due to
row_limitorbyte_limit.
- resultobject
Show child attributesHide child attributes
- external_linksarray of object
- data_arrayarray of object
The
JSON_ARRAYformat is an array of arrays of values, where each non-null value is formatted as a string. Null values are encoded as JSONnull.
- chunk_indexint32
The position within the sequence of result set chunks.
- row_offsetint64
The starting row offset within the result set.
- row_countint64
The number of rows within the result chunk.
- byte_countint64
The number of bytes in the result chunk. This field is not available when using
INLINEdisposition.
- next_chunk_indexint32
When fetching, provides the
chunk_indexfor the next chunk. If absent, indicates there are no more chunks. The next chunk can be fetched with astatementexecution/getstatementresultchunknrequest.
- next_chunk_internal_linkstring
When fetching, provides a link to fetch the next chunk. If absent, indicates there are no more chunks. This link is an absolute
pathto be joined with your$DATABRICKS_HOST, and should be treated as an opaque link. This is an alternative to usingnext_chunk_index.
- response_typestring
Type of response
Genie List Eval Results Beta
GET
List evaluation results for a specific evaluation run.
API scopes: genie
Parameters
- space_idstringpath
The ID associated with the Genie space where the evaluation run is located.
- eval_run_idstringpath
The unique identifier for the evaluation run.
- page_sizeint32query
Maximum number of eval results to return per page.
- page_tokenstringquery
Opaque token to retrieve the next page of results.
Response
- eval_resultsarray of object
List of evaluation results for the specified run.
Show child attributesHide child attributes
- result_idstring
Unique identifier for this evaluation result.
- space_idstring
The ID of the space the evaluation result belongs to.
- benchmark_question_idstring
The ID of the benchmark question that was evaluated.
- statusstring
Current status of this evaluation result.
- questionstring
Stored snapshot of original benchmark question text.
- benchmark_answerstring
Stored snapshot of original benchmark answer text.
- created_by_userint64
User ID who created evaluation result.
- next_page_tokenstring
The token to use for retrieving the next page of results.